Name:		jubler
Version:	8.0.0
Release:	%mkrel 1
License:	GPLv2
Packager:   	Agent Smith  <ruidobranco@yahoo.com.br>
Group:		Video
URL:		http://www.jubler.org/
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}.png
Summary:	 Tool to edit text-based subtitles
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:   	mplayer
Requires:   	aspell
Requires:	java
Obsoletes:	%name < %version
AutoReqProv:    no

%description
Jubler is a tool to edit text-based subtitles. It can be used as an
authoring software for new subtitles or as a tool to convert, transform,
correct and refine existing subtitles. The most popular subtitle formats
can be used. Preview of the subtitles in realtime or in design time,
spell checking, translation mode and styles editing are some of the main 
features. 

Note: mplayer and aspell are recomended runtime requirements

%prep

%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/

cp -arv $RPM_BUILD_DIR/* %{buildroot}%{_datadir}/

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}/app/
java -jar %{name}.jar
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=%{name}
Icon=%{name}.png
Type=Application
Terminal=false
Name=Jubler
GenericName= Sub Title editor in Java!
Comment=%{summary}
StartupNotify=false
Categories=X-MandrivaLinux-Multimedia-Video;
EOF

rm -f %buildroot/%{_datadir}/debug*


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}

%files
%defattr(-,root,root)
%_bindir/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop



%changelog

* Fri Jan 26 2024 Agent Smith <ruidobranco@yahoo.com.br> 8.0.0-1pclos2024
- Updated the package jubler-8.0.0-1pclos2020.noarch.rpm, with latest source.

* Mon Jun 08 2020 Agent Smith <ruidobranco@yahoo.com.br> 7.0.3-1pclos2020
- Updated the package jubler-7.0.3-1pclos2020.noarch.rpm, with latest source.

* Tue May 05 2020 Agent Smith <ruidobranco@yahoo.com.br> 7.0.0-1pclos2020
- Updated the package jubler-7.0.0-1pclos2020.noarch.rpm, with latest source.

* Thu Sep 13 2018 Agent Smith <ruidobranco@yahoo.com.br> 6.0.2-1pclos2018
- Updated the package jubler-6.0.2-1pclos2018.noarch.rpm, with latest source.

* Thu May 11 2017 Agent Smith <ruidobranco@yahoo.com.br> 5.1-1pclos2017
- Updated the package jubler-5.1-1pclos2017.noarch.rpm, with latest source.

* Thu Nov 05 2015 Agent Smith <ruidobranco@yahoo.com.br> 5.0.5-1pclos2015
- Created the package jubler-5.0.5-1pclos2015.noarch.rpm, with latest source.
